Retrieve a capacity policy in NetApp Console local deployment
GET /v1/organizations/{organizationId}/capacitypolicies/{capacityPolicyId}
Retrieves the specified capacity policy.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organizationId |
string |
path |
True |
Organization ID
|
capacityPolicyId |
string |
path |
True |
Capacity policy ID
|
Response
Status: 200, Successfully retrieved capacity policy
| Name | Type | Required | Description |
|---|---|---|---|
autoGrow |
string |
False |
Auto-grow setting of the capacity policy. |
description |
string |
False |
Description of the capacity policy. |
id |
string |
True |
Unique identifier of the capacity policy. |
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
True |
Name of the capacity policy. |
organizationId |
string |
False |
Organization ID that the policy is associated with. |
policyType |
string |
False |
Type of the capacity policy. |
spaceReserved |
string |
False |
Space reservation setting of the capacity policy. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the capacity policy. Can be used to add any additional data related to the capacity policy. |
tiering |
string |
False |
Tiering setting of the capacity policy. |
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource schema. Defined values are:
|
volumeType |
string |
False |
Volume type setting of the capacity policy. |
Example response
{
"autoGrow": "GROW",
"description": "Policy for production workloads with auto-grow and tiering",
"id": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
"creationTimestamp": "2024-01-15T10:30:00.000Z",
"labels": [],
"modificationTimestamp": "2024-01-20T14:45:00.000Z",
"modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
},
"name": "Production Capacity Policy",
"organizationId": "666a3f38-d4fa-5b62-a391-a69029758d32",
"policyType": "USER_DEFINED",
"spaceReserved": "THIN",
"tags": [
{
"internal:bxp:metric:associatedWorkloadCnt": "2"
}
],
"tiering": "AUTO",
"type": "application/vnd.netapp.bxp.capacitypolicy",
"version": "1.0",
"volumeType": "FLEXVOL"
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Definitions
See Definitions
type_bxp_label
Name/value pair.
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the label. |
value |
string |
True |
Value of the label. |
type_bxp_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
createdBy |
string |
False |
UUID of the user who created the resource. |
creationTimestamp |
string |
False |
Resource creation date. |
labels |
array[type_bxp_label] |
False |
Array of name/value pairs representing additional information for the resource. |
modificationTimestamp |
string |
False |
Resource modification date. |
modifiedBy |
string |
False |
UUID of the user who modified the resource. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |